Subject: Re: bug#28254: 26.0.50; SRFI-2 and-let*

From: Mark Oteiza <[email-masked]>
Date: Sun, 3 Sep 2017 20:48:48 -0400

On 03/09/17 at 06:39pm, Mark Oteiza wrote:
>On 03/09/17 at 07:48pm, Michael Heerdegen wrote:
>>Noam Postavsky <[email-masked]> writes:
>>Even if an `if-let' form is the result of a macro expansion, the S = (S
>>nil) case isn't of any value.  So I see no reasons to not drop support
>>for it.
>
>If I'm understanding correctly,  it is being agreed that
>
> (let ((x 1)) (and-let* (x) x)) ;; => 1
>
>because the macro expands to
>
> (let* ((x (and t x)))
>   (if x x))
>
>The following patch achieves this, though it breaks some existing subr-x
>tests which I haven't yet looked at carefully.

The tests fail precisely because of this change--so I'm not bothered
aside from having to adjust the test to account for it.